/****************************************************************************
**
** DCOP Stub Definition created by dcopidl2cpp from amarokdcopiface.kidl
**
** WARNING! All changes made in this file will be lost!
**
*****************************************************************************/

#ifndef __AMAROKDCOPIFACE_STUB__
#define __AMAROKDCOPIFACE_STUB__

#include <dcopstub.h>
#include <tqstringlist.h>
#include <kurl.h>
#include <dcopobject.h>


class AmarokCollectionInterface_stub : virtual public DCOPStub
{
public:
    AmarokCollectionInterface_stub( const TQCString& app, const TQCString& id );
    AmarokCollectionInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit AmarokCollectionInterface_stub( const DCOPRef& ref );
    virtual int totalAlbums();
    virtual int totalArtists();
    virtual int totalComposers();
    virtual int totalCompilations();
    virtual int totalGenres();
    virtual int totalTracks();
    virtual bool isDirInCollection( const TQString&  );
    virtual bool moveFile( const TQString& oldURL, const TQString& newURL, bool overwrite );
    virtual TQStringList query( const TQString& sql );
    virtual TQStringList similarArtists( int artists );
    virtual void migrateFile( const TQString& oldURL, const TQString& newURL );
    virtual void scanCollection();
    virtual void scanCollectionChanges();
    virtual void disableAutoScoring( bool disable );
    virtual void scanPause();
    virtual void scanUnpause();
    virtual void scannerAcknowledged();
    virtual int addLabels( const TQString& url, const TQStringList& labels );
    virtual void removeLabels( const TQString& url, const TQStringList& oldLabels );
    virtual int deviceId( const TQString& url );
    virtual TQString relativePath( const TQString& url );
    virtual TQString absolutePath( int deviceid, const TQString& relativePath );
protected:
    AmarokCollectionInterface_stub() : DCOPStub( never_use ) {}
};




class AmarokContextBrowserInterface_stub : virtual public DCOPStub
{
public:
    AmarokContextBrowserInterface_stub( const TQCString& app, const TQCString& id );
    AmarokContextBrowserInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit AmarokContextBrowserInterface_stub( const DCOPRef& ref );
    virtual void showCurrentTrack();
    virtual void showLyrics();
    virtual void showWiki();
    virtual void showLyrics( const TQCString& lyrics );
protected:
    AmarokContextBrowserInterface_stub() : DCOPStub( never_use ) {}
};




class AmarokDevicesInterface_stub : virtual public DCOPStub
{
public:
    AmarokDevicesInterface_stub( const TQCString& app, const TQCString& id );
    AmarokDevicesInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit AmarokDevicesInterface_stub( const DCOPRef& ref );
    virtual void mediumAdded( TQString name );
    virtual void mediumRemoved( TQString name );
    virtual void mediumChanged( TQString name );
    virtual TQStringList showDeviceList();
protected:
    AmarokDevicesInterface_stub() : DCOPStub( never_use ) {}
};




class AmarokMediaBrowserInterface_stub : virtual public DCOPStub
{
public:
    AmarokMediaBrowserInterface_stub( const TQCString& app, const TQCString& id );
    AmarokMediaBrowserInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit AmarokMediaBrowserInterface_stub( const DCOPRef& ref );
    virtual void deviceConnect();
    virtual void deviceDisconnect();
    virtual void deviceSwitch( TQString name );
    virtual TQStringList deviceList();
    virtual void queue( KURL url );
    virtual void queueList( KURL::List url );
    virtual void transfer();
    virtual void transcodingFinished( TQString src, TQString dest );
protected:
    AmarokMediaBrowserInterface_stub() : DCOPStub( never_use ) {}
};




class AmarokPlayerInterface_stub : virtual public DCOPStub
{
public:
    AmarokPlayerInterface_stub( const TQCString& app, const TQCString& id );
    AmarokPlayerInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit AmarokPlayerInterface_stub( const DCOPRef& ref );
    virtual TQString version();
    virtual bool dynamicModeStatus();
    virtual bool equalizerEnabled();
    virtual bool osdEnabled();
    virtual bool isPlaying();
    virtual bool randomModeStatus();
    virtual bool repeatPlaylistStatus();
    virtual bool repeatTrackStatus();
    virtual int getVolume();
    virtual int sampleRate();
    virtual float score();
    virtual int rating();
    virtual int status();
    virtual int trackCurrentTime();
    virtual int trackCurrentTimeMs();
    virtual int trackPlayCounter();
    virtual int trackTotalTime();
    virtual TQStringList labels();
    virtual TQString album();
    virtual TQString artist();
    virtual TQString bitrate();
    virtual TQString comment();
    virtual TQString coverImage();
    virtual TQString currentTime();
    virtual TQString encodedURL();
    virtual TQString engine();
    virtual TQString genre();
    virtual TQString lyrics();
    virtual TQString lyricsByPath( TQString path );
    virtual TQString lastfmStation();
    virtual TQString nowPlaying();
    virtual TQString path();
    virtual TQString setContextStyle( const TQString&  );
    virtual TQString title();
    virtual TQString totalTime();
    virtual TQString track();
    virtual TQString type();
    virtual TQString year();
    virtual void configEqualizer();
    virtual void enableOSD( bool enable );
    virtual void enableRandomMode( bool enable );
    virtual void enableRepeatPlaylist( bool enable );
    virtual void enableRepeatTrack( bool enable );
    virtual void mediaDeviceMount();
    virtual void mediaDeviceUmount();
    virtual void mute();
    virtual void next();
    virtual void pause();
    virtual void play();
    virtual void playPause();
    virtual void prev();
    virtual void queueForTransfer( KURL url );
    virtual void seek( int s );
    virtual void seekRelative( int s );
    virtual void setEqualizer( int , int , int , int , int , int , int , int , int , int , int  );
    virtual void setEqualizerEnabled( bool active );
    virtual void setEqualizerPreset( TQString name );
    virtual void setLyricsByPath( const TQString& url, const TQString& lyrics );
    virtual void setBpm( float bpm );
    virtual void setBpmByPath( const TQString& url, float bpm );
    virtual void setScore( float score );
    virtual void setScoreByPath( const TQString& url, float score );
    virtual void setRating( int rating );
    virtual void setRatingByPath( const TQString& url, int rating );
    virtual void setVolume( int volume );
    virtual void setVolumeRelative( int ticks );
    virtual void showBrowser( TQString browser );
    virtual void showOSD();
    virtual void stop();
    virtual void transferDeviceFiles();
    virtual void volumeDown();
    virtual void volumeUp();
    virtual void transferCliArgs( TQStringList args );
protected:
    AmarokPlayerInterface_stub() : DCOPStub( never_use ) {}
};




class AmarokPlaylistBrowserInterface_stub : virtual public DCOPStub
{
public:
    AmarokPlaylistBrowserInterface_stub( const TQCString& app, const TQCString& id );
    AmarokPlaylistBrowserInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit AmarokPlaylistBrowserInterface_stub( const DCOPRef& ref );
    virtual void addPodcast( const TQString&  );
    virtual void scanPodcasts();
    virtual void addPlaylist( const TQString&  );
    virtual int loadPlaylist( const TQString&  );
protected:
    AmarokPlaylistBrowserInterface_stub() : DCOPStub( never_use ) {}
};




class AmarokPlaylistInterface_stub : virtual public DCOPStub
{
public:
    AmarokPlaylistInterface_stub( const TQCString& app, const TQCString& id );
    AmarokPlaylistInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit AmarokPlaylistInterface_stub( const DCOPRef& ref );
    virtual int getActiveIndex();
    virtual int getTotalTrackCount();
    virtual TQString saveCurrentPlaylist();
    virtual void addMedia( const KURL&  );
    virtual void queueMedia( const KURL&  );
    virtual void addMediaList( const KURL::List&  );
    virtual void clearPlaylist();
    virtual TQString currentTrackUniqueId();
    virtual void playByIndex( int  );
    virtual void playMedia( const KURL&  );
    virtual void popupMessage( const TQString&  );
    virtual void removeCurrentTrack();
    virtual void removeByIndex( int  );
    virtual void repopulate();
    virtual void saveM3u( const TQString& path, bool relativePaths );
    virtual void setStopAfterCurrent( bool  );
    virtual void shortStatusMessage( const TQString&  );
    virtual void shufflePlaylist();
    virtual void togglePlaylist();
    virtual TQStringList filenames();
protected:
    AmarokPlaylistInterface_stub() : DCOPStub( never_use ) {}
};




class AmarokScriptInterface_stub : virtual public DCOPStub
{
public:
    AmarokScriptInterface_stub( const TQCString& app, const TQCString& id );
    AmarokScriptInterface_stub( DCOPClient* client, const TQCString& app, const TQCString& id );
    explicit AmarokScriptInterface_stub( const DCOPRef& ref );
    virtual bool runScript( const TQString& name );
    virtual bool stopScript( const TQString& name );
    virtual TQStringList listRunningScripts();
    virtual void addCustomMenuItem( TQString submenu, TQString itemTitle );
    virtual void removeCustomMenuItem( TQString submenu, TQString itemTitle );
    virtual TQString readConfig( const TQString& key );
    virtual TQStringList readListConfig( const TQString& key );
    virtual TQString proxyForUrl( const TQString& url );
    virtual TQString proxyForProtocol( const TQString& protocol );
protected:
    AmarokScriptInterface_stub() : DCOPStub( never_use ) {}
};


#endif
